namespace Model
{
    public class Album
    {
        public string Nom { get; set; }

        public string File_Name { get; set; }

        public Artiste Artiste { get; set; }

        public string Description { get; set; }

        public string Informations { get; set; }

        public IEnumerable<Morceau> Morceaux { get; set; }

        public Album(string nom, string file_Name, Artiste artiste, string description, string informations)
        {
            Nom = nom;
            File_Name = file_Name;
            Artiste = artiste;
            Description = description;
            Informations = informations;
            Morceaux = new List<Morceau>();
        }

        public void addMorceau(Morceau morceau)
        {
            Morceaux.Prepend(morceau);
        }

    }
}